 .modal{
    display:none;
    position:fixed;
    z-index:1000;
    left:0;
    top:0;
    width:100%;
    height:100%;
    overflow:auto;
    background-color:rgba(0,0,0,.5)
}
:root{
    --color-purple:#411482;
    --color-purple-active:#2d006e;
    --color-ray-active:#00c8c3;
    --color-pg-1:#d9d1e7;
    --color-pg-1-5:#c5bdd3;
    --color-pg-2:#b1a9bf;
    --color-pg-2-5:#9d95ab;
    --color-pg-3:#938ba1;
    --color-pg-3-5:#756d83;
    --color-pg-4:#61596f;
    --color-pg-4-5:#4d455b;
    --color-pg-5:#393147;
    --color-red:#ff2832;
    --color-white:#000;
    --color-lime-yellow:#dcfa00;
    --color-orange:#ff6e41;
    --color-gray:#e2dee9;
    --color-light-gray:#f7f6fa;
    --color-extra-light-gray:#f9f9fb;
    --color-divider:#e4deee;
    --color-blue:#00b4ff;
    --color-green:#00E19F;
    --z-index-popup-menu:1000;
    --z-index-modal-overlay:1100;
    --z-index-modal-content:1110;
    --z-index-tooltip:1200;
    --header-height:72px
}
.test-item{
    border-radius:12px;
    transition:transform .3s ease;
    overflow:hidden;
    position:relative;
    background-color:#fff!important;
    color:#000!important
}
.test-item:hover{
    transform:translateY(-5px);
    box-shadow:0 4px 20px rgba(0,0,0,.2)
}
.test-item::before{
    content:'';
    position:absolute;
    top:0;
    left:0;
    right:0;
    bottom:0;
    border-radius:12px;
    opacity:.1;
    z-index:0
}
.test-item-content{
    padding:1.5rem;
    position:relative;
    z-index:1;
    color:#000!important
}
.test-item img{
    width:60px;
    height:60px
}
.navbar{
    background-color:#000
}
.navbar-brand{
    font-size:2rem;
    font-weight:bold;
    font-family:TTCommonsPro,TTCommonsProFallback,Sans-Serif!important
}
.navbar-brand span{
    color:#fdb813
}
.hero-section{
    background-color:#343a40;
    color:#fff;
    height:100vh;
    display:flex;
    align-items:center;
    justify-content:center;
    text-align:center;
    padding:0 15px
}
.hero-section h1{
    font-size:3.5rem;
    margin-bottom:20px
}
.hero-section .btn{
    margin-top:20px
}
.btn{
    color:var(--color-white)!important;
    background-color:var(--color-ray)!important;
    font-weight:800!important
}
ul.button-list{
    list-style:none;
    padding:0;
    display:flex;
    justify-content:center;
    gap:15px;
    flex-wrap:wrap
}
ul.button-list li{
    display:inline-block;
    margin-bottom:10px
}
ul.button-list li a{
    text-decoration:none;
    display:block;
    padding:10px 20px;
    background-color:#007bff;
    color:white;
    border-radius:5px;
    transition:background-color .3s;
    text-align:center;
    min-width:120px;
    cursor:pointer
}
ul.button-list li a:hover{
    background-color:#0056b3
}
@media (max-width:768px){
    ul.button-list{
        display:none;
        grid-template-columns:repeat(2,1fr);
        gap:10px;
        padding:0 15px
    }
    .hero-section h1{
        font-size:2.5rem
    }
}
footer{
    background-color:#000;
    color:#fff;
    padding:30px 0;
    text-align:center
}
footer a{
    color:#fdb813
}
.removeDropLocationBtn{
    display:none;
    margin-left:5px
}
.btn-primary{
    background-color:#ffbd03;
    color:#000;
    border:none!important;
    padding:5px 20px;
    border-radius:5px;
    cursor:pointer
}
.suggestions-box{
    position:absolute;
    border:1px solid #ccc;
    max-height:150px;
    overflow-y:auto;
    background-color:#fff;
    width:100%;
    z-index:999
}
.suggestion-item{
    padding:10px;
    cursor:pointer
}
.suggestion-item:hover{
    background-color:#f0f0f0
}
.hidden{
    display:none
}
.micro-btn{
    font-size:.8rem;
    padding:5px 10px
}
.section-box{
    padding:20px;
    margin-top:20px;
    background-color:#fff;
    border:1px solid #ddd;
    border-radius:5px
}
.btn-block{
    background-color:indigo;
    color:white
}
body{
    visibility:hidden
}
#address-modal,#address-modal-to,#address-modal-pickup-location-round,#address-modal-first-destination-round,#address-modal-pickup-address,#address-modal-drop-airport,#address-modal-unique-basha-pickup-address-drop,#address-modal-unique-drop-airport,#address-modal-second-destination-round,#address-modal-third-destination-round,#address-modal-fourth-destination-round,#address-modal-fifth-destination-round,#address-modal-sixth-destination-round,#location-modal{
    display:none;
    position:fixed;
    z-index:10000;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background-color:rgba(0,0,0,.5);
    backdrop-filter:blur(10px);
    transition:all .5s ease-in-out
}
.modal-content{
    background-color:#fff;
    margin:10% auto;
    padding:20px;
    border-radius:15px;
    width:90%;
    max-width:450px;
    position:relative;
    box-shadow:0 10px 30px rgba(0,0,0,.2)
}
h2{
    margin-top:0;
    font-size:22px;
    font-weight:600;
    color:#333;
    text-align:center;
    font-family:TTCommonsPro,TTCommonsProFallback,sans-serif!important
}
.input-container{
    position:relative;
    margin-bottom:20px
}
.input-container i{
    position:absolute;
    left:15px;
    top:50%;
    transform:translateY(-50%);
    font-size:18px;
    color:#888
}
#modal-from-location,#modal-to-location,#modal-pickup-location-round,#modal-first-destination-round,#modal-drop-airport,#modal-unique-basha-pickup-address-drop,#modal-unique-drop-airport,#modal-second-destination-round,#modal-third-destination-round,#modal-fourth-destination-round,#modal-fifth-destination-round,#modal-sixth-destination-round,#modal-pickup-address,#modalInput{
    width:100%;
    padding:15px 15px 15px 45px;
    margin:10px 0;
    font-size:16px;
    border:1px solid #ddd;
    border-radius:12px;
    box-shadow:0px 4px 12px rgba(0,0,0,.1);
    transition:border-color .3s ease;
    font-family:TTCommonsPro,TTCommonsProFallback,sans-serif!important
}
#modal-from-location:focus,#modal-to-location:focus,#modal-pickup-location-round:focus,#modal-first-destination-round:focus,#modal-drop-airport:focus,#modal-unique-basha-pickup-address-drop:focus,#modal-unique-drop-airport:focus,#modal-second-destination-round:focus,#modal-third-destination-round:focus,#modal-fourth-destination-round:focus,#modal-fifth-destination-round:focus,#modal-sixth-destination-round:focus,#modal-pickup-address:focus,#modalInput:focus{
    border-color:#007BFF;
    outline:none
}
@keyframes scrollImages{
    0%{
        transform:translateX(0)
    }
    100%{
        transform:translateX(-100%)
    }
}
